Page MenuHomePhabricator

Measure usage of banner slider functionality
Closed, ResolvedPublic3 Estimated Story Points

Description

To get an understanding of which slide in a banner is more likely to be clicked on, we want to track the number of the slide that was displayed when opening the banner form and how many slides were already displayed to the user.

Acceptance Criteria

  • When tracking the "mobile-mini-banner-expanded" event,
    • an identifier of the active/visible slide is passed with the event.
    • the number of slides that were displayed to the user is passed with the event.

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedNone

Event Timeline

RazShuty set the point value for this task to 3.
Tim_WMDE moved this task from Todo to Doing on the WMDE-Fun-Sprint-2018-10-01 board.
Tim_WMDE added a comment.EditedOct 2 2018, 9:56 AM

Updated EventLogging Schema:

https://meta.wikimedia.org/w/index.php?title=Schema:WMDEBannerEvents&oldid=18437830

The idea is that if the action "mobile-mini-banner-expanded" is triggered, "slidesShown" and "finalSlide" are populated with data and otherwise left empty.

Tim_WMDE removed Tim_WMDE as the assignee of this task.Oct 2 2018, 1:29 PM
Tim_WMDE moved this task from Doing to Review on the WMDE-Fun-Sprint-2018-10-01 board.
Tim_WMDE added a subscriber: Tim_WMDE.

Change 464565 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/WikimediaEvents@master] Update Schema:WMDEBannerEvents rev to 18437830

https://gerrit.wikimedia.org/r/464565

Change 464565 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Update Schema:WMDEBannerEvents rev to 18437830

https://gerrit.wikimedia.org/r/464565

Change 466843 had a related patch set uploaded (by Addshore; owner: Tim Eulitz):
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.24] Update Schema:WMDEBannerEvents rev to 18437830

https://gerrit.wikimedia.org/r/466843

Change 466843 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.32.0-wmf.24] Update Schema:WMDEBannerEvents rev to 18437830

https://gerrit.wikimedia.org/r/466843

Mentioned in SAL (#wikimedia-operations) [2018-10-12T10:08:41Z] <addshore@deploy1001> Synchronized php-1.32.0-wmf.24/extensions/WikimediaEvents/extension.json: T205283 [[gerrit:466843]] Update Schema:WMDEBannerEvents rev to 18437830 (duration: 00m 52s)

@kai.nissen Since the test on mobile started today it would be good to check on Monday if data is being tracked properly. No need for an export, just a quick look if (plausible) data is been stored. Just a matter of caution based on experience of live ;)

kai.nissen closed this task as Resolved.Oct 30 2018, 10:52 AM